GDB (xrefs)

Public Attributes | List of all members
cleanup Struct Reference

## Public Attributes
struct cleanup * | next
void(* | function )(void *)
void(* | free_arg )(void *)
void * | arg

## Detailed Description

Definition at line 38 of file cleanups.c.

## Member Data Documentation

## ◆ arg

void* cleanup::arg

Definition at line 43 of file cleanups.c.

Referenced by add_path(), add_symbol_file_command(), core_open(), decode_objc(), discard_my_cleanups(), do_free_char_ptr_vec(), do_my_cleanups(), format_pieces::format_pieces(), handle_command(), info_symbol_command(), linespec_parser_delete(), load_command(), make_cleanup(), make_cleanup_dtor(), make_final_cleanup(), make_my_cleanup(), make_my_cleanup2(), parse_linespec(), procfs_info_proc(), and procfs_open_1().

## ◆ free_arg

void(* cleanup::free_arg) (void *)

Definition at line 42 of file cleanups.c.

Referenced by discard_my_cleanups(), do_my_cleanups(), and make_my_cleanup2().

## ◆ function

void(* cleanup::function) (void *)

Definition at line 41 of file cleanups.c.

Referenced by do_my_cleanups(), and make_my_cleanup2().

## ◆ next

struct cleanup* cleanup::next

Definition at line 40 of file cleanups.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), discard_my_cleanups(), do_my_cleanups(), make_my_cleanup2(), proc_iterate_over_threads(), and remote_query_supported().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/cleanups.c